//
// Created by johannes on 15.06.19.
//

#include "InputSocketHandlerFactory.h"

#include "InputSocketHandler.h"

namespace flippR_driver
{
namespace networking
{
namespace input
{
using namespace Poco::Net;

InputSocketHandlerFactory::InputSocketHandlerFactory(std::shared_ptr<flippR_driver::input::InputDriver> inputDriver) :
  input_driver(inputDriver)
{

}

TCPServerConnection *InputSocketHandlerFactory::createConnection(const Poco::Net::StreamSocket &socket)
{
  return new InputSocketHandler(socket, this->input_driver);
}

}
}
}

